%define name	bidwatcher
%define version 1.3.17
%define release %mkrel 2

Name:		%{name}
Summary:	Free tools to manage e-bay auctions
Version:	%{version}
Release:	%{release}
Source:		http://prdownloads.sourceforge.net/bidwatcher/%{name}-%{version}.tar.bz2
Url:		http://bidwatcher.sourceforge.net
Group:		Networking/Other
BuildRoot:	%{_tmppath}/%{name}-%{version}-%{release}-buildroot
BuildRequires:	gtk+-devel >= 1.2
BuildRequires:  curl-devel
License:	GPL

%description
Bidwatcher is a tool for eBay users (eBay is a giant internet auction site, if
you don't know that I'm not sure why you're reading this :-) ).  It is a
stand alone application that can track auctions and perform automated bids
called 'snipes'.  For more information see http://bidwatcher.sourceforge.net

%prep
%setup -q 

%build
%configure
%make

%install
rm -rf $RPM_BUILD_ROOT
%makeinstall

# menu
install -d $RPM_BUILD_ROOT%{_menudir}
cat << EOF > $RPM_BUILD_ROOT%{_menudir}/%{name}
?package(%{name}):command="bidwatcher" \
needs="x11" \
icon="finances_section.png" \
section="Applications/Finances" \
title="BidWatcher" \
longtitle="Tool for eBay users"
EOF

%post
%update_menus

%postun
%clean_menus

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(-,root,root,0755)
%doc README INSTALL NEWS COPYING AUTHORS
%{_bindir}/*
%{_mandir}/man1/*
%{_menudir}/*

%changelog
* Thu Sep 08 2005 Nicolas Lcureuil <neoclust@mandriva.org> 1.3.17-2mdk
- Fix BuildRequires

* Fri May 27 2005 Nicolas Lcureuil <neoclust@mandriva.org> 1.3.17-1mdk
- New release 1.3.17

* Wed Sep 01 2004 Lenny Cartier <lenny@mandrakesoft.com> 1.3.16-1mdk
- 1.3.16

* Tue Jun 15 2004 Lenny Cartier <lenny@mandrakesoft.com> 1.3.15-1mdk
- 1.3.15

* Tue Mar 02 2004 Lenny Cartier <lenny@mandrakesoft.com> 1.3.13-1mdk
- 1.3.13

* Sun Dec 07 2003 Per yvind Karlsen <peroyvind@linux-mandrake.com> 1.3.11-0.rc1.1mdk
- 1.3.11-rc1

* Thu Nov 27 2003 Franck Villaume <fvill@freesurf.fr> 1.3.10-3mdk
- add BuildRequires : libgtk+-devel >= 1.2
- delete BuildRequires : libglib-devel

* Sat Nov 15 2003 Olivier Thauvin <thauvin@aerov.jussieu.fr> 1.3.10-2mdk
- From Franck Villaume <fvill@freesurf.fr>
  - add buildrequires : libglib-devel

* Thu Sep 18 2003 Lenny Cartier <lenny@mandrakesoft.com> 1.3.10-1mdk
- menu
- from Francesco Facconi <facconi@immediatic.it> :
	- First build
